@media only screen and (max-width: 690px) {
  body.post-type-archive-product .woocommerce ul.products.columns-4 li.product,
  body.tax-product_cat .woocommerce ul.products.columns-4 li.product,
  body.woocommerce-shop .woocommerce ul.products.columns-4 li.product,
  body.woocommerce-page .woocommerce ul.products.columns-4 li.product {
    width: 100% !important;
    max-width: 100% !important;
    margin-right: 0 !important;
    float: none !important;
    clear: none !important;
  }

  body.post-type-archive-product .woocommerce ul.products.columns-4 li.product.first,
  body.post-type-archive-product .woocommerce ul.products.columns-4 li.product.last,
  body.tax-product_cat .woocommerce ul.products.columns-4 li.product.first,
  body.tax-product_cat .woocommerce ul.products.columns-4 li.product.last,
  body.woocommerce-shop .woocommerce ul.products.columns-4 li.product.first,
  body.woocommerce-shop .woocommerce ul.products.columns-4 li.product.last,
  body.woocommerce-page .woocommerce ul.products.columns-4 li.product.first,
  body.woocommerce-page .woocommerce ul.products.columns-4 li.product.last {
    clear: none !important;
  }
}
